@import url("https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Montserrat:ital,wght@0,100..900;1,100..900&family=Noto+Serif:ital,wght@0,100..900;1,100..900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&family=Noto+Serif:ital,wght@0,100..900;1,100..900&display=swap");
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
html {
  background-image: url(images/backgroundeshop.svg);
  /* position: relative; */
  line-height: 1.4;
  height: 100%;
}
body {
  font-family: "Inter", sans-serif;
  height: 100%;
}
html,
body {
  /* width: auto !important;
  overflow-x: hidden !important;   */
}
:root {
  --bar-width: 25px;
  --bar-height: 4px;
  --hamburger-gap: 5px;
  --hamburger-margin: 20px;
  --hamburger-height: calc(var(--bar-height) * 3 + var(--hamburger-gap) * 2);
  --animation-timing: 200ms ease-in-out;
}
a {
  text-decoration: none;
}
.logo {
  width: 10em;
  height: auto;
}
header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  max-width: 1400px;
  margin-inline: auto;
  padding-inline: 4rem;
  padding-block: 1.5rem;
}
nav {
  display: flex;
  gap: 3rem;
}
nav a {
  font-size: 1.2rem;
  color: black;
}
nav a:hover {
  color: #0038a0;
}
nav a:active {
  color: #0059ff;
}
.hero {
  margin-top: 4rem;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  overflow: hidden;
  gap: 2rem;
}
.hero h1 {
  font-family: "Noto Serif", serif;
  font-size: 4rem;
  font-weight: bold;
  max-width: 800px;
  text-align: center;
  line-height: 90%;
  letter-spacing: -2%;
  color: hsla(0, 0%, 0%, 0.7);
  background-clip: text;
  background-size: cover;
  background-image: url(images/pexels-pixabay-356049.jpg);
}
.hero h2 {
  font-size: 1.2rem;
  font-weight: 400;
  max-width: 900px;
  text-align: center;
  color: hsla(0, 0%, 0%, 0.8);
}

.btn-hover {
  width: 12rem;
  height: 2.2rem;
  font-size: 1rem;
  text-shadow: rgba(255, 255, 255, 0.2) 1px 0px 1px;
  font-family: "Inter", sans-serif;
  border-radius: 10px;
  color: #fff;
  cursor: pointer;
  text-align: center;
  border: none;
  background-size: 300% 100%;

  moz-transition: all 0.3s ease-in-out;
  -o-transition: all 0.3s ease-in-out;
  -webkit-transition: all 0.3s ease-in-out;
  transition: all 0.3s ease-in-out;
}
.btn-hover:hover {
  transform: scale(1.02);
  background-position: 100% 0;
  moz-transition: all 0.3s ease-in-out;
  -o-transition: all 0.3s ease-in-out;
  -webkit-transition: all 0.3s ease-in-out;
  transition: all 0.3s ease-in-out;
}
.btn-hover:focus {
  outline: none;
}
.btn-hover.color-1 {
  background-image: linear-gradient(
    to right,
    #3c5c85,
    #1b3557,
    #246bce,
    #0054c2
  );
  box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.25);
}

.hero button {
  color: rgb(255, 255, 255);
  width: 16rem;
  height: 2.5rem;
  font-size: 1.2rem;
}
.hero img {
  position: relative;
  height: 26vw;
  width: 127vw;
}
.image-with-text {
  margin-block: 5rem;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 4rem;
  margin-inline: auto;
  max-width: 1200px;
  padding-inline: 4em;
}
.image-with-text img {
  width: 200%;
  max-width: 400px;
  border-radius: 40px;
}
.image-with-text h2 {
  font-size: 2.5rem;
  font-family: "Noto serif", serif;
  line-height: 98%;
  font-weight: 400;
  letter-spacing: -2%;
}
.image-with-text p {
  font-size: 1.125rem;
  margin-block: 1.5rem;
}
/* .image-with-text button {
  font-family: "Inter", sans-serif;
  color: rgb(255, 255, 255);
  width: 12rem;
  height: 2rem;
  font-size: 1.125rem;
  background-color: #3c5c85;
  cursor: pointer;
  border-radius: 7px;
  border: none;
  text-shadow: rgba(255, 255, 255, 0.4) 1px 0px 1px;
} */

/* button:hover {
  transition: background-color 0.1s;
  background-color: #1b3557;
} */

.iwt2 {
  flex-direction: row-reverse;
}
footer {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 2rem;
  padding-block: 5rem;
  margin-top: 15rem;
  background-color: black;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}

footer > div {
  flex-direction: row;
  display: flex;
  justify-content: space-evenly;
  width: 100%;
}
.contact,
.navigation {
  display: flex;
  flex-direction: column;
  gap: 0.3rem;
}
.contact span,
.navigation a {
  font-size: 1.125rem;
  color: rgb(255, 255, 255);
}
.contact p,
.navigation p {
  font-size: 1.5rem;
  color: rgba(255, 255, 255, 0.705);
  margin-bottom: 0.3rem;
}
.navigation a:hover {
  color: rgb(170, 170, 170);
}

/* nanoglas */
.product {
  display: flex;
  max-width: 1300px;
  height: 100%;
  padding-inline: 4rem;
  margin-inline: auto;
}
.product .product-images {
  width: 50%;
  max-width: 570px;
  height: fit-content;
  float: left;
  display: grid;
  grid-template-rows: 1fr 1fr 1fr 1fr;
  grid-template-columns: 1fr 1fr 1fr;
  gap: 1rem;
}
.product-images img {
  padding: 1rem;
  width: 100%;
  background: white;
  border-radius: 30px;
  box-shadow: hsl(0, 0%, 0%, 0.2) 5px 4px 12px;
}
.product-images img:first-of-type {
  padding: 2rem;
}
.product-images :first-child {
  grid-area: 1 / 1 / 4 / 4;
}

.product .text {
  float: right;
  max-width: 50%;
  font-size: 1.125rem;
  padding: 30px;
  margin-top: 1rem;
}

.product .text h2:first-of-type {
  font-family: "Noto Serif", serif;
  color: hsl(0, 0%, 52%, 0.7);
  background-clip: text;
  background-size: cover;
  background-image: url(images/pexels-pixabay-356049.jpg);
  filter: saturate(80%);
}
.product .text h1,
.o-nas h1 {
  font-family: "Noto Serif", serif;
  font-size: 3rem;
  font-weight: bold;
  max-width: 800px;
  line-height: 90%;
  letter-spacing: -2%;
  color: hsla(0, 0%, 0%, 0.7);
  background-clip: text;
  background-size: cover;
  background-image: url(images/pexels-pixabay-356049.jpg);
}
.product .description {
  margin-block: 1rem;
}
.product .nasklade {
  color: #3e9764;
}
.product .cena {
  font-size: 1.5rem;
  color: #002569;
  margin-block: 1rem 0.8rem;
}
.product .cena-bdph {
  font-size: 0.8rem;
  color: hsl(219, 100%, 21%, 0.6);
  margin-bottom: 1rem;
}
.product .cena-bdph span {
  font-size: 1rem;
  color: hsl(219, 100%, 21%, 0.8);
}
.product button {
  font-size: 1.2rem;
  margin-bottom: 6rem;
  width: 90%;
  height: 2.5rem;
}
.product h2:last-of-type {
  font-family: "Noto serif", serif;
  line-height: 95%;
  margin-bottom: 1rem;
}
.product .text p:last-of-type {
  font-size: 1.2rem;
  font-weight: 600;
  font-family: "Noto serif", serif;
  margin-block: 1rem 0.5rem;
}
.product ul {
  list-style-type: disc;
  margin-left: 1rem;
}
.product ol {
  margin-left: 1.5rem;
}
.product li {
  margin-block: 0.2rem;
}

/* nanoimpregnace */

.nanoimpregnace h1 {
  font-family: "Noto Serif", serif;
  font-size: 2.5rem;
  font-weight: bold;
  line-height: 90%;
  letter-spacing: -2%;
  color: hsla(0, 0%, 0%, 0.5);
  background-clip: text;
  background-size: cover;
  background-image: url(images/pexels-pixabay-356049.jpg);
  text-align: center;
  margin-block: 2rem;
}
.nanoimpregnace h2 {
  font-size: 2rem;
}
.nanoimpregnace img {
  width: 500%;
  max-width: 400px;
}

.dropdown {
  position: absolute;
  translate: 0 -120%;
  width: 100%;
  transition: translate var(--animation-timing);
  top: 0;
  padding-top: calc(var(--hamburger-height) + var(--hamburger-margin));
  /* background-color: #f0f6ff; */
  background: linear-gradient(165deg, rgb(247, 247, 255), rgb(228, 228, 255));
  box-shadow: -5px 10px 10px rgba(0, 0, 0, 0.164);
  box-shadow: -5px 10px 30px rgba(0, 0, 0, 0.11);
  z-index: 4;
}
.dropdown nav {
  display: flex;
  flex-direction: column;
  gap: 0rem;
}
.dropdown a {
  padding: 1.5rem calc(4rem + var(--bar-width) * 2);
  text-align: center;
  width: 100%;
}
.dropdown a:hover {
  color: #000000;
}
.dropdown a:active {
  color: #000000;
}
.dropdown p {
  font-size: 1.5rem;
  position: relative;
  top: -1.1rem;
  padding: 0rem calc(2rem + var(--bar-width) * 2);
  text-align: center;
  font-weight: 500;
  color: rgba(75, 75, 75, 0.562);
}
.dropdown a:hover {
  background-color: #fdfdfd;
}
.dropdown a:active {
  background-color: #ffffff;
}
/* .hamburger-icon::before,
.hamburger-icon::after,
.hamburger-icon input {
  display: none;
} */
.hamburger-icon {
  --x-width: calc(var(--hamburger-height) * 1.41421356237);

  display: none;
  flex-direction: column;
  gap: var(--hamburger-gap);
  width: max-content;
  position: relative; /* Add this line */
  z-index: 5;
  cursor: pointer;
  padding-right: var(--bar-width);
}
.hamburger-icon::before,
.hamburger-icon::after,
.hamburger-icon input {
  content: "";
  width: var(--bar-width);
  height: var(--bar-height);
  border-radius: 9999px;
  transform-origin: left center;
  background-color: #002569;
  transition: opacity var(--animation-timing), width var(--animation-timing),
    rotate var(--animation-timing), translate var(--animation-timing),
    background-color var(--animation-timing);
}
.hamburger-icon input {
  appearance: none;
  padding: 0;
  margin: 0;
  outline: none;
  pointer-events: none;
}
.hamburger-icon:has(input:checked) {
  color: black;
}
.hamburger-icon:has(input:checked)::before {
  rotate: 45deg;
  width: var(--x-width);
  translate: 0 calc(var(--bar-height) / -2);
}
.hamburger-icon:has(input:checked)::after {
  rotate: -45deg;
  width: var(--x-width);
  translate: 0 calc(var(--bar-height) / 2);
}
.hamburger-icon input:checked {
  opacity: 0;
  width: 0;
}
.o-nas h1 {
  font-size: 2rem;
  margin-bottom: 1rem;
}
.o-nas h2 {
  font-size: 1.5rem;
  color: hsla(0, 0%, 0%, 0.5);
  background-clip: text;
  background-size: cover;
  background-image: url(images/pexels-pixabay-356049.jpg);
}
.o-nas section {
  padding-inline: 1.5rem;
  max-width: 800px;
  margin-inline: auto;
  margin-top: 3rem;
  font-size: 1.125rem;
}
.o-nas section p {
  margin-block: 1rem;
}
.o-nas ul {
  padding-left: 1.5rem;
}
@media (max-width: 1200px) {
  .hamburger-icon {
    display: flex;
  }
  .pc-navbar {
    display: none;
  }
}
@media (max-width: 980px) {
  html {
    font-size: 14px;
  }
  .hero h1,
  .hero h2 {
    margin-inline: 3rem;
  }
}
@media (max-width: 800px) {
  .image-with-text {
    flex-direction: column;
  }
  .image-with-text img {
    max-width: unset;
    width: 100%;
  }
  .product {
    flex-direction: column;
  }
  .product .product-images {
    width: 100%;
    margin-inline: auto;
    max-width: unset;
    grid-template-rows: 1fr 1fr;
    grid-template-columns: 1fr 1fr 1fr;
  }
  .product .text {
    width: 100%;
    margin-inline: auto;
    max-width: unset;
    padding-inline: 0;
  }
  .product-images :first-child {
    grid-area: 1 / 1 / 3 / 3;
  }
}
@media (max-width: 600px) {
  .product .product-images {
    grid-template-rows: 1fr 1fr;
    grid-template-columns: 1fr 1fr 1fr;
  }
  .product-images img:first-of-type {
   padding:0 ;
  }
  .product {
    padding-inline: 1rem;
  }
  .nanoimpregnace h1 {
    padding-inline: 1rem;
  }
  .image-with-text {
    padding-inline: 1rem;
  }
  .hero h1 {
    font-size: 3rem;
  }
  .hero h1,
  .hero h2 {
    margin-inline: 1rem;
  }
  .hero {
    margin-top: 2rem;
  }
  .hero img {
    width: 200vw;
    height: 60vw;
  }
  header {
    padding-inline: 1rem;
  }
}
@media (max-width: 350px) {
.product .text h1, .hero h1{
font-size: 2.4rem;
}
}


/* MODAL */
.modal {
  display: none;
  position: fixed;
  z-index: 1000;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.8);
  overflow: auto;
  justify-content: center;
  align-items: center;
}

.modal-content {
  margin: auto;
  display: block;
  background-color: white;
  border-radius: 40px;
  max-width: 90%;
  animation: fadeIn 0.3s;
}

.modal .close {
  position: absolute;
  top: 10px;
  right: 20px;
  font-size: 40px;
  color: #fff;
  cursor: pointer;
}
.product-images img{
  transition: all 0.2s ease-in-out;
}
.product-images img:hover{
  transform: scale(1.05);
  
}
@keyframes fadeIn {
  from {
      opacity: 0;
  }
  to {
      opacity: 1;
  }
}
